dput (1.2.4ubuntu4) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Feb 2026 18:54:02 +0000

dput (1.2.4ubuntu3) questing; urgency=medium

  * setup.py: Drop setup_requires to prevent calls to pip during dh_clean.
    Setup requirement was made redundant by d/control. (LP: #2124945)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 17 Sep 2025 18:50:10 -0400

dput (1.2.4ubuntu2) plucky; urgency=medium

  * Refresh the SFTP method, and give it a facelift.
  * Set the default upload target to ssh-ubuntu, to encourage use of SFTP over
    FTP.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Feb 2025 14:05:41 -0600

dput (1.2.4ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a Debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting.)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.
    - Make versions with Ubuntu suffixes compliant with PEP 440 (LP: #1991606).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 15:07:15 -0600

dput (1.2.4) unstable; urgency=medium

  * Remove unused “Depends: python3-pkg-resources”.
    Closes: bug#1083374. Thanks to Matthias Klose for the report.

 -- Ben Finney <bignose@debian.org>  Mon, 21 Oct 2024 13:10:33 +1100

dput (1.2.3) unstable; urgency=medium

  [ Jordi Mallach ]

  * doc/man/dcut.1:
    * Correct URL for the “Queue README” in our documentation.
  * dput/dcut.py:
    * Correct “Supported commands” in help output from ‘dcut’ command.
      Closes: bug#1081700.

  [ Ben Finney ]

  * Migrate from obsolete ‘pkg_resources’ to standard ‘importlib.metadata’.
    Closes: bug#1083374. Thanks to Matthias Klose for the report.

 -- Ben Finney <bignose@debian.org>  Mon, 21 Oct 2024 12:34:06 +1100

dput (1.2.2) unstable; urgency=medium

  * Some minor internal refactoring.
    No user-visible changes.
  * New release to help package migrate to Debian ‘testing’.

 -- Ben Finney <bignose@debian.org>  Thu, 18 Jul 2024 16:08:29 +1000

dput (1.2.1ubuntu2) oracular; urgency=medium

  * Fix uploads with SFTP.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Jun 2024 13:05:54 -0500

dput (1.2.1ubuntu1) oracular; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a Debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting.)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.
    - Make versions with Ubuntu suffixes compliant with PEP 440 (LP: #1991606).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Jun 2024 12:03:45 -0500

dput (1.2.1) unstable; urgency=medium

  * Allow configuration value "", representing “no delayed days”.
    Closes: bug#1072857. Thanks to Martin-Éric Racine for the report.
  * Correct data type of a function argument.
    Closes: bug#1073040. Thanks to Christoph Berg for the report.

 -- Ben Finney <bignose@debian.org>  Mon, 17 Jun 2024 08:44:37 +1000

dput (1.2) unstable; urgency=medium

  * The “Lassana Bathily” release.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.9.2.16.

  [ Christoph Berg ]
  * Drop message about problematic multiple orig uploads.
    Closes: bug#706607. Thanks to Raphaël Hertzog and Christoph Berg for
    the report and rationale.

  [ Ben Finney ]
  * Declare conformance to “Standards-Version: 4.7.0”.
    No additional changes required.
  * Emit more-informative message when upload log matches current request.
    Closes: bug#941784. Thanks to Wolfgang Silbermayr for the report.
  * Refine pattern for matching version string, to conform to Policy.
    Thanks to Christoph Berg for the explanation.
  * Remove an ancient warning for a change completed prior to 2009.

 -- Ben Finney <bignose@debian.org>  Thu, 06 Jun 2024 12:02:00 +1000

dput (1.1.3ubuntu3) mantic; urgency=medium

  * Make PEP 440 version conversion more robust for SRUs (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Jun 2023 16:09:30 +0200

dput (1.1.3ubuntu2) lunar; urgency=medium

  * Make versions with Ubuntu suffixes compliant with PEP 440.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Feb 2023 15:38:56 -0600

dput (1.1.3ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a Debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting.)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Feb 2023 14:51:22 -0600

dput (1.1.3) unstable; urgency=medium

  * The “Makoto Okamura” release.
  * Ignore positional command-line arguments when options specify action.
    Closes: bug#1014182. Thanks to Ben Hutchings for the report.
  * Correct spelling of ‘--maintaineraddress’ in ‘dcut(1)’ man page.
  * Correct Bash command completion for maintainer email address.
  * Correct Bash command completion for host names.
  * Open text files using explicit UTF-8 encoding.
    Closes: bug#876671. Thanks to Nicholas D Steeves for the report.
    Closes: bug#905914. Thanks to Harald Dunkel for the report.
    Closes: bug#911500. Thanks to Dima Kogan for the report.

 -- Ben Finney <bignose@debian.org>  Thu, 08 Dec 2022 16:11:11 +1100

dput (1.1.2ubuntu2) kinetic; urgency=medium

  * Promote python3-paramiko to Recommends, to promote the usage of
    ssh-ubuntu as an upload target over ubuntu (LP: #1991569).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Oct 2022 08:47:02 -0500

dput (1.1.2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Jul 2022 14:17:06 -0700

dput (1.1.2) unstable; urgency=medium

  * Default to "$HOME/.config" if variable XDG_CONFIG_HOME is not set.
    Closes: bug#1014181, bug#1014182.
    Thanks to Ben Hutchings for the reports.

 -- Ben Finney <bignose@debian.org>  Sat, 02 Jul 2022 08:15:28 +1000

dput (1.1.1) unstable; urgency=medium

  * The “Koyo Ogasawara” release.
  * Update publication years in copyright notices.
  * Declare conformance to “Standards-Version: 4.6.1”. No changes needed.
  * Remove dependency declarations against ancient package versions.
  * Use wildcard for version string in context for Lintian overrides.
  * Declare auto-generated Setuptools ‘egg-info’ files to ‘dh_clean’.
  * Implement `urllib.request.Request` compatible API for auth.
    Closes: bug#944194. Thanks to TQ Hirsch for the report
    and to Mathieu Parent for the implementation.
  * Remove a workaround for a Debhelper bug now fixed.
  * Read user configuration file from XDG standard location by default.
    Closes: bug#787840. Thanks to Rodolphe PELLOUX-PRAYER for the report.

 -- Ben Finney <bignose@debian.org>  Wed, 22 Jun 2022 17:57:36 +1000

dput (1.1.0ubuntu2) impish; urgency=medium

  * Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
    provided username. Set login name in ~/.ssh/config for ubuntu &
    launchpad hosts to match the launchpad login name. LP: #632041

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 29 Jul 2021 10:58:41 +0100

dput (1.1.0ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
  * Add some more debug output for our changes, and adjust it to match changes
    in 1.1.0 upstream.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 15 Feb 2021 11:39:38 +0100

dput (1.1.0) unstable; urgency=medium

  * The “Abinta Kabir” release.
  * Correct processing of config file for ‘dh_bash-completion’.
    Closes: bug#921662. Thanks to Antoine Beaupre for the report.
  * Correct URL to documentation in security warning.
    Closes: bug#913865. Thanks to Dima Kogan for the report.
  * Consistent ‘dput’ command-line parsing regardless of ‘--check-only’.
  * Farewell to transition handling of obsolete ‘gluck_delayed’ host.
    The DELAYED queue has been on ‘ftp.upload.debian.org’ since 2009.
  * Rename default Git branch in official repository, to ‘main’.
  * Remove redundant dependency on ‘debhelper’.
    The ‘debhelper-compat’ dependency brings the correct packages.
  * Declare conformance to “Standards-Version: 4.5.1”.
  * Declare Debhelper compatibility level 13.
  * Specify the package build system does not require root privilege.
  * Replace dependency on HTTPretty with custom Python mock code.
  * Mark as “superficial” those autopkgtest cases with no coverage.
    Closes: bug#974447. Thanks to Sudip Mukherjee for the report.
  * Emit the response body as a debug message, when HTTP error response.
    Closes: bug#900545. Thanks to Alexandre Viau for the report.
  * Update publication years in copyright notices.

 -- Ben Finney <bignose@debian.org>  Wed, 06 Jan 2021 20:25:16 +1100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dput`.
